class Servings {
  int[] m_servings;

  float m_chooseProductsButtonsHeight;
  float m_placeY;
  float m_placeX;

  PageButton[][] incDec;

  public Servings() {
    m_chooseProductsButtonsHeight = 62;
    m_placeY = 78;
    m_placeX = 36;

    m_servings = new int[5];
    for (int i = 0; i < 5; i++) {
      m_servings[i] = 1;
    }

    incDec = new PageButton[5][2];
    boolean up = true;
    for (int i = 0; i < 5; i++ ) {
      for ( int j = 0; j < 2; j++ ) {
        incDec[i][j] = new PageButton( up );
        up = !up;
      }
    }
  }

  void render() {
    textFont( abel15 );
    textAlign(CENTER);
    for ( int i = 0; i < selectionsMenu.m_numProducts; i++ ) {
      fill(255);
      noStroke();

      pushMatrix();
      translate(  m_placeX, m_placeY + m_chooseProductsButtonsHeight / 2 + m_chooseProductsButtonsHeight * i );

      text( m_servings[i], 0, 0 );

      fill(0);
      stroke(255);
      strokeWeight(2);
      for ( int j = 0; j < 2; j++ ) {
        pushMatrix();
        if ( float(j) / 2 < 0.5 ) {
          translate( 1, -22 );
        }
        else { 
          translate( 1, 13 );
        }
        scale( 0.8, 0.8 );
        incDec[i][j].render( 0, 0 );
        popMatrix();
      }
      popMatrix();
    }
    strokeWeight(1);
  }

  void checkServingsButtons() {
    for ( int i = 0; i < selectionsMenu.m_numProducts; i++ ) {
      for ( int j = 0; j < 2; j++ ) {
        if (
        mouseX >= incDec[i][j].m_screenX - 7 && mouseX <= incDec[i][j].m_screenX + 7 &&
          mouseY >= incDec[i][j].m_screenY - 7 && mouseY <= incDec[i][j].m_screenY + 7 ) {
          if ( incDec[i][j].m_up == true ) {
            m_servings[i]++;
          }
          else {
            m_servings[i]--;
            if( m_servings[i] < 0) m_servings[i] = 0;
          }
          chart.calculateTotals();
        }
      }
    }
  }
}

